#ifndef CONSOLE_H
#define CONSOLE_H
struct console
{
	char buffer[64][40];
	char bgColor[64][40];
	char textColor[64][40];
	int cursorx;
	int cursory;
};
inline void locate(char row, char col, char* str, char bgColor, char textColor);
inline void locatec(char row, char col, char ch, char bgColor, char textColor);

void initConsole(struct console *console, char defaultBgColor, char defaultTextColor);
void drawConsole(struct console *c);
void c_write(struct console *c, char* str, char bgColor, char textColor);
void c_swrite(struct console *c, char* format, int len, char bgColor, char textColor, ...);

#endif /* CONSOLE_H */
